Bug 4097 - Component: INSTALLATION (cant find that in the list)
Component: INSTALLATION (cant find that in the list)
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.0
All Linux
high Severity high
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-07-18 09:20 EDT by o.schnapauff
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-23 11:54:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description o.schnapauff 1999-07-18 09:20:20 EDT
RH 5.2 and RH 6.0 failed to update a 5.1 resp. 5.2 system,
many rpms fail with

Aktualisierung wird durchgef|hrt libtermcap.
/var/tmp/rpm-tmp.34840: /var/tmp/rpm-tmp.34840: Datei oder
Verzeichnis nicht gefunden
execution of script failed

The result is that the old AND the new rpm are marked as
installed in the rpm database, but no new files where
installed. manually doing a rpm -e <new rpm>, rpm -Uvh <new
rpm> fixes it, but needs to be done for each of 100 failed
rpms.

Suspected reason: /var/tmp is a  link to /tmp on this
system.
Comment 1 Jay Turner 1999-07-19 09:44:59 EDT
We are aware of problems with RPM resolving symbolic links for the
database.  This issue has been forwarded to a developer for further
action.
Comment 2 Jay Turner 2000-02-23 11:54:59 EST
Symlinks for top level directoryies need to be relative in order for the
upgrade process to work.

Note You need to log in before you can comment on or make changes to this bug.